VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::MonitoringTypes::FunctionType Class Reference

`Monitoring.FunctionType` enumerated type Defines aggregation function More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, COUNT, MAX, AVG, MIN }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static FunctionType[] | GetValues ()
static FunctionType | ValueOf (string name)
## Static Public Attributes
static readonly FunctionType | COUNT = new FunctionType("COUNT", Values.COUNT)
| Aggregation takes count per period (sum)
static readonly FunctionType | MAX = new FunctionType("MAX", Values.MAX)
| Aggregation takes maximums per period.
static readonly FunctionType | AVG = new FunctionType("AVG", Values.AVG)
| Aggregation takes average per period.
static readonly FunctionType | MIN = new FunctionType("MIN", Values.MIN)
| Aggregation takes minimums per period.

## Detailed Description

`Monitoring.FunctionType` enumerated type Defines aggregation function

## Member Enumeration Documentation

enum vmware::appliance::MonitoringTypes::FunctionType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  COUNT | Aggregation takes count per period (sum)
  MAX | Aggregation takes maximums per period.
  AVG | Aggregation takes average per period.
  MIN | Aggregation takes minimums per period.

## Member Function Documentation

Values vmware::appliance::MonitoringTypes::FunctionType::GetEnumValue | ( |  | ) | `[inline]`

static FunctionType [] vmware::appliance::MonitoringTypes::FunctionType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::MonitoringTypes::FunctionType::IsUnknown | ( |  | ) | `[inline]`

static FunctionType vmware::appliance::MonitoringTypes::FunctionType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly FunctionType vmware::appliance::MonitoringTypes::FunctionType::AVG = new FunctionType("AVG", Values.AVG)`[static]`

Aggregation takes average per period.

readonly FunctionType vmware::appliance::MonitoringTypes::FunctionType::COUNT = new FunctionType("COUNT", Values.COUNT)`[static]`

Aggregation takes count per period (sum)

readonly FunctionType vmware::appliance::MonitoringTypes::FunctionType::MAX = new FunctionType("MAX", Values.MAX)`[static]`

Aggregation takes maximums per period.

readonly FunctionType vmware::appliance::MonitoringTypes::FunctionType::MIN = new FunctionType("MIN", Values.MIN)`[static]`

Aggregation takes minimums per period.

The documentation for this class was generated from the following file:

- MonitoringTypes.cs